Cette documentation est archivée et n’est pas conservée.

DataSourceSelectArguments.RaiseUnsupportedCapabilitiesError, méthode

Mise à jour : novembre 2007

Compare les fonctions demandées pour une opération ExecuteSelect(DataSourceSelectArguments) par rapport à celles prises en charge par l'affichage de source de données spécifié.

Espace de noms :  System.Web.UI
Assembly :  System.Web (dans System.Web.dll)

public void RaiseUnsupportedCapabilitiesError(
	DataSourceView view
)
public void RaiseUnsupportedCapabilitiesError(
	DataSourceView view
)
public function RaiseUnsupportedCapabilitiesError(
	view : DataSourceView
)

Paramètres

view
Type : System.Web.UI.DataSourceView

Affichage de source de données qui exécute l'opération de récupération de données.

ExceptionCondition
NotSupportedException

L'affichage de source de données ne prend pas en charge la fonction de source de données spécifiée.

La méthode RaiseUnsupportedCapabilitiesError(DataSourceView) est utilisée par des contrôles liés aux données pour comparer d'autres fonctions demandées, représentées par les propriétés de la classe DataSourceSelectArguments, telles que la fonction de tri ou de parcours d'un jeu de résultats, avec les fonctions prises en charge par l'affichage de source de données. L'affichage appelle sa propre méthode RaiseUnsupportedCapabilityError(DataSourceCapabilities) pour chaque fonction possible définie dans l'énumération DataSourceCapabilities.

Remarque importante :

Si chacune des propriétés DataSourceSelectArguments est définie, mais que le contrôle de source des données actuellement liées ne prend pas en charge la fonction demandée, une exception InvalidOperationException est levée lorsque la méthode DataSourceSelectArguments.RaiseUnsupportedCapabilitiesError(DataSourceView) est appelée.

Windows Vista, Windows XP SP2, Windows XP Media Center Edition, Windows XP Professionnel Édition x64, Windows XP Starter Edition, Windows Server 2003, Windows Server 2000 SP4, Windows Millennium Edition, Windows 98

Le .NET Framework et le .NET Compact Framework ne prennent pas en charge toutes les versions de chaque plateforme. Pour obtenir la liste des versions prises en charge, consultez Configuration requise du .NET Framework.

.NET Framework

Pris en charge dans : 3.5, 3.0, 2.0
Afficher: